deepin-screen-recorder (6.5.17) unstable; urgency=medium

  * Update version to 6.5.17
  * fix: adjust dock shortcut help icon size

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 08 May 2025 15:00:06 +0800

deepin-screen-recorder (6.5.16) unstable; urgency=medium

  * Update version to 6.5.16

 -- renbin <renbin@uniontech.com>  Tue, 29 Apr 2025 17:52:12 +0800

deepin-screen-recorder (6.5.15) unstable; urgency=medium

  * fix: Set quick panel margins to 0(Bug: 271223)

 -- renbin <renbin@uniontech.com>  Thu, 03 Apr 2025 10:16:15 +0800

deepin-screen-recorder (6.5.14) unstable; urgency=medium

  * fix: restructure event monitor cleanup(Bug: 306357)
  * fix: enable gif on loong64/sw64/mips(Bug: 308909)

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:51:22 +0800

deepin-screen-recorder (6.5.13) unstable; urgency=medium

  * fix: adjust spacing in quick panel layout(Bug: 271223)
  * fix: remove unnecessary depends
  * fix: blur effect error(Bug: 309211)
  * refactor: remove dframeworkdbus dependency

 -- renbin <renbin@uniontech.com>  Thu, 27 Mar 2025 15:24:37 +0800

deepin-screen-recorder (6.5.12) unstable; urgency=medium

  * fix: disable v20 interface on Qt6.
  * fix: oom when convert large video to gif(Bug: 308389)
  * fix: not reset time after reboot(Bug: 308411)
  * fix: improve the speed of convrting to GIF(Bug: 295949)
  * fix: use system theme instead of app cached theme(Bug: 300679)
  * fix: paint full screen rectangle error.(Bug: 307017)

 -- renbin <renbin@uniontech.com>  Thu, 20 Mar 2025 20:17:52 +0800

deepin-screen-recorder (6.5.11) unstable; urgency=medium

  * fix: crash on scroll image(Bug: 306355)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 20:22:56 +0800

deepin-screen-recorder (6.5.10) unstable; urgency=medium

  * fix: not hidden record tray icon when recoding(Bug: 298541)
  * fix: tray icon is blurred when the scale factor exceeds 1(Bug: 298677)
  * fix: can not save pin screenshots settings(Bug: 298631)
  * fix: can not start record via tray icon
  * chore: support parallel build
  * fix: pin-screenshots missing rounded corner and focus(Bug: 305423)

 -- renbin <renbin@uniontech.com>  Thu, 27 Feb 2025 19:17:50 +0800

deepin-screen-recorder (6.5.9) unstable; urgency=medium

  * chore: New version 6.5.9.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 20:01:38 +0800

deepin-screen-recorder (6.5.8) unstable; urgency=medium

  [ Tian ShiLin ]
  * fix: esc exit exception under treeland 

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 07 Feb 2025 14:44:36 +0800

deepin-screen-recorder (6.5.7) unstable; urgency=medium

  * fix: adjust border size parameters for narrow images
  * fix: use dci icons replace svg icons(Bug: 298681)
  * fix: unnecessary scaling adjustments(Bug: 298677)
  * fix: delete error log

 -- renbin <renbin@uniontech.com>  Fri, 10 Jan 2025 18:02:07 +0800

deepin-screen-recorder (6.5.6) unstable; urgency=medium

  * fix: Fix save path settings in screenshot toolbar(Bug: 298655)
  * fix: Use QProcess as workaround for scale factor(Bug: 281713)

 -- renbin <renbin@uniontech.com>  Thu, 09 Jan 2025 14:03:32 +0800

deepin-screen-recorder (6.5.5) unstable; urgency=medium

  * fix: update DBus interface for dock position changes(Bug: 297785)
  * fix: adjust toolbar position to avoid content overlap(Bug: 296639)

 -- renbin <renbin@uniontech.com>  Thu, 02 Jan 2025 20:07:09 +0800

deepin-screen-recorder (6.5.4) unstable; urgency=medium

  * fix: ocr disappears in treeland(Bug: 283631)
  * fix: Unified modification of predefined macros
  * fix: Translation file not found

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 11:33:08 +0800

deepin-screen-recorder (6.5.3) UNRELEASED; urgency=medium

  * feat: Merge branch 'develop/qt6.8' into develop/snipe

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 20 Dec 2024 11:23:01 +0800

deepin-screen-recorder (6.5.2) unstable; urgency=medium

  * fix: translation error (#582)
  * fix: Addressing translation issues (#584)
  * fix: Fixed the issue that screen recording fails under ARM (#569) (#586)
  * fix: dock plugin not loaded (#587)(Bug: 289717)

 -- renbin <renbin@uniontech.com>  Sat, 14 Dec 2024 16:23:59 +0800

deepin-screen-recorder (6.5.1.3) unstable; urgency=medium

  * changelog 6.5.1.3.

 -- tianshilin <tianshilin@uniontech.com>  Sat, 07 Dec 2024 22:55:01 +0800

deepin-screen-recorder (6.5.1.2) unstable; urgency=medium

  * changelog 6.5.1.2.

 -- tianshilin <tianshilin@uniontech.com>  Sat, 07 Dec 2024 10:11:01 +0800

deepin-screen-recorder (6.5.1) unstable; urgency=medium

  * fix: adapt new quick pannel plugin interface(Bug: 266839)
  * fix: Fixed the problem that v25 screenshot recording arm cannot record the screen(Bug: 283491)

 -- renbin <renbin@uniontech.com>  Fri, 22 Nov 2024 17:01:16 +0800

deepin-screen-recorder (6.5.0) unstable; urgency=medium

  * feat: [translation]add transifex config(Task: 361363)
  * fix: the config button status(Bug: 270437)
  * fix: the mouse click control lose in workspace(Bug: 268293)
  * fix: Optimize command line acquisition parameters(Task: 362613)
  * fix: the pinscreenshot tips(Bug: 275657)
  * fix: the pinscreenshot save format error(Bug: 276833)
  * fix: the offset problem when dual-screen non-alignment(Bug: 275805)
  * fix: the dual screen expandsion position when scaled(Bug: 273083)
  * refactor: merge code and fix bugs
  * fix: dde-shell not show screen shot icon.
  * fix: camera not display image
  * fix: save to clipboard slow
  * fix: audio record pts error on wayland

 -- renbin <renbin@uniontech.com>  Fri, 18 Oct 2024 14:29:23 +0800

deepin-screen-recorder (6.0.9) unstable; urgency=medium

  * changelog 6.0.9.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 02 Sep 2024 17:01:01 +0800

deepin-screen-recorder (6.0.8) unstable; urgency=medium

  * chore: add ForceDock flag(Issue: 9619)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Aug 2024 16:11:17 +0800

deepin-screen-recorder (6.0.7) unstable; urgency=medium

  * fix: the recorder icon(Bug: 266991)
  * feat: remove the inner margin of dock plugin tooltips (Issues: 9997)
  * fix: the screen-capture icon in the taskbar (Bug: 267113)
  * fix: the recorder taskbar incorrect background-color (Bug: 267669)
  * Update tag to 6.0.7

 -- zhanghongyuan<zhanghongyuan@uniontech.com>  Tue, 13 Aug 2024 11:23:35 +0800

deepin-screen-recorder (6.0.6) unstable; urgency=medium

  * feat: Update screenshot dropshadow effect(Task: 33231)
  * fix: 贴图不能移动出屏幕(Bug: 249185)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 15:51:34 +0800

deepin-screen-recorder (6.0.5) unstable; urgency=medium

  * Update tag to 6.0.5.

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Tue, 23 Apr 2024 13:30:03 +0800

deepin-screen-recorder (6.0.4) unstable; urgency=medium

  * Update tag to 6.0.4.

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Tue, 23 Apr 2024 13:19:20 +0800

deepin-screen-recorder (6.0.3) unstable; urgency=medium

  * Update tag to 6.0.3.

 -- lvwujun <lvwujun@uniontech.com>  Thur, 28 Mar 2024 16:38:34 +0800

deepin-screen-recorder (5.12.20) unstable; urgency=medium

  * fix: The icon scales and deforms after adjusting the
         display scaling ratio(Bug: 243881)
  * feat: Add "Recrod" tray icon(Influence: dde-dock-plugin)
  * feat: The "Screenshot" quick panel removes response
         recording(Influence: dde-dock-pluin)
  * fix: Record tray icon no 'Undock' menu(Bug: 250811)
  * fix: Recording icon display flickering(Bug: 250749)

 -- renbin <renbin@uniontech.com>  Fri, 12 Apr 2024 14:43:50 +0800

deepin-screen-recorder (5.12.19) unstable; urgency=medium

  * New version 5.12.19.

 -- wangcong <wangcong@uniontech.com>  Tue, 27 Feb 2024 17:20:24 +0800
deepin-screen-recorder (5.12.18) unstable; urgency=medium

  * New version 5.12.18.

 -- wangcong <wangcong@uniontech.com>  Wed, 21 Feb 2024 17:00:24 +0800
deepin-screen-recorder (5.12.17) unstable; urgency=medium

  * New version 5.12.17.

 -- wangcong <wangcong@uniontech.com>  Thu, 1 Feb 2024 14:20:24 +0800
deepin-screen-recorder (5.12.16) unstable; urgency=medium

  * New version 5.12.16.

 -- wangcong <wangcong@uniontech.com>  Wed, 17 Jan 2024 14:10:24 +0800
deepin-screen-recorder (5.12.15) unstable; urgency=medium

  * New version 5.12.15.

 -- wangcong <wangcong@uniontech.com>  Wed, 10 Jan 2024 10:05:24 +0800
deepin-screen-recorder (5.12.14) unstable; urgency=medium

  * New version 5.12.14.

 -- wangcong <wangcong@uniontech.com>  Fri, 29 Dec 2023 10:50:24 +0800
deepin-screen-recorder (5.12.13) unstable; urgency=medium

  * New version 5.12.13.

 -- wangcong <wangcong@uniontech.com>  Tue, 5 Dec 2023 10:00:24 +0800
deepin-screen-recorder (5.12.12) unstable; urgency=medium

  * New version 5.12.12.

 -- wangcong <wangcong@uniontech.com>  Tue, 17 Nov 2023 10:15:24 +0800
deepin-screen-recorder (5.12.11) unstable; urgency=medium

  * New version 5.12.11.

 -- wangcong <wangcong@uniontech.com>  Thu, 17 Oct 2023 10:00:24 +0800
deepin-screen-recorder (5.12.10) unstable; urgency=medium

  * New version 5.12.10.

 -- wangcong <wangcong@uniontech.com>  Thu, 17 Oct 2023 09:50:24 +0800
deepin-screen-recorder (5.12.9) unstable; urgency=medium

  * New version 5.12.9.

 -- wangcong <wangcong@uniontech.com>  Wed, 30 Aug 2023 16:32:24 +0800
deepin-screen-recorder (5.12.8) unstable; urgency=medium

  * New version 5.12.8.

 -- wangcong <wangcong@uniontech.com>  Wed, 15 Aug 2023 16:22:24 +0800
deepin-screen-recorder (5.12.7) unstable; urgency=medium

  * New version 5.12.7.

 -- wangcong <wangcong@uniontech.com>  Wed, 19 Jul 2023 11:05:24 +0800
deepin-screen-recorder (5.12.6) unstable; urgency=medium

  * New version 5.12.6.

 -- wangcong <wangcong@uniontech.com>  Wed, 25 Jun 2023 11:38:24 +0800
deepin-screen-recorder (5.12.5) unstable; urgency=medium

  * Graded control 5.12.5.

 -- muyuankai <muyuankai@uniontech.com>  Thu, 25 May 2023 11:38:24 +0800

deepin-screen-recorder (5.12.4) unstable; urgency=medium

  * New version 5.12.4

 -- wangcong <wangcong@uniontech.com>  Wed, 24 May 2023 14:24:47 +0800

deepin-screen-recorder (5.12.3) unstable; urgency=medium

  * Graded control.

 -- muyuankai <muyuankai@uniontech.com>  Wed, 17 May 2023 11:17:47 +0800

deepin-screen-recorder (5.12.2) unstable; urgency=low

  * New version 5.12.2

 -- wangcong <wangcong@uniontech.com>  Thu, 5 May 2023 18:02:05 +0800
deepin-screen-recorder (5.12.1) unstable; urgency=low

  * New version 5.12.1

 -- wangcong <wangcong@uniontech.com>  Tue, 7 Mar 2023 13:10:05 +0800
deepin-screen-recorder (5.11.21) unstable; urgency=low

  * New version 5.11.21

 -- wangcong <wangcong@uniontech.com>  Wed, 18 Jan 2023 10:34:05 +0800

deepin-screen-recorder (5.11.20) unstable; urgency=low

  * New version 5.11.20

 -- wangcong <wangcong@uniontech.com>  Sat, 14 Jan 2023 15:05:05 +0800

deepin-screen-recorder (5.11.19) unstable; urgency=low

  * New version 5.11.19

 -- hemingyang <hemingyang@uniontech.com>  Fri, 6 Jan 2023 10:05:05 +0800

deepin-screen-recorder (5.11.18) unstable; urgency=low

  * New version 5.11.18

 -- hemingyang <hemingyang@uniontech.com>  Tues, 4 Jan 2023 14:03:05 +0800

deepin-screen-recorder (5.11.17) unstable; urgency=low

  * New version 5.11.17

 -- hemingyang <hemingyang@uniontech.com>  Fri, 30 Dec 2022 17:08:05 +0800

deepin-screen-recorder (5.11.16) unstable; urgency=low

  * New version 5.11.16

 -- hemingyang <hemingyang@uniontech.com>  Tues, 27 Dec 2022 16:50:05 +0800

deepin-screen-recorder (0.1-1) unstable; urgency=low

  * Initial release.

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 13 Feb 2017 16:32:34 +0800
